Bug 1309660 - Python 3.5 renames subprocess.mswindows which breaks some packages related to python-cmd2
Python 3.5 renames subprocess.mswindows which breaks some packages related to...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-cmd2 (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 06:43 EST by Charalampos Stratakis
Modified: 2016-02-19 16:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-19 16:07:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python 35 compatibility patch for python-cmd2 (2.40 KB, application/mbox)
2016-02-18 06:43 EST, Charalampos Stratakis
no flags Details
Python 35 compatibility patch for python-cmd2 (2.10 KB, patch)
2016-02-18 07:51 EST, Charalampos Stratakis
no flags Details | Diff

  None (edit)
Description Charalampos Stratakis 2016-02-18 06:43:18 EST
Created attachment 1128188 [details]
Python 35 compatibility patch for python-cmd2

Description of problem: Packages fail to build on rawhide, on Python 3.5 and they require python-cmd2 to build. One example is python-cliff.

https://bitbucket.org/catherinedevlin/cmd2/issues/18/python-35-renames-subprocessmswindows


Version-Release number of selected component (if applicable): 0.6.8

Proposed fix: attached patch
Comment 1 Charalampos Stratakis 2016-02-18 07:51 EST
Created attachment 1128214 [details]
Python 35 compatibility patch for python-cmd2
Comment 2 Ralph Bean 2016-02-19 16:07:32 EST
Should be fixed in rawhide now.  Thank you Charalampos!

Note You need to log in before you can comment on or make changes to this bug.